Tpf.PersonaStore.add_persona_from_details – folks-telepathy Reference Manual

# add_persona_from_details

## Description:

public override async Persona? add_persona_from_details (HashTable<string,Value?> details) throws PersonaStoreError

Add a new Persona to the PersonaStore.

See Folks.PersonaStore.add_persona_from_details.

This method is safe to call multiple times concurrently for the same (or different) contact IDs (assuming Telepathy is safe).

## Exceptions:

Folks.PersonaStoreError.INVALID_ARGUMENT | if the `contact` key was not provided in `details`
Folks.PersonaStoreError.STORE_OFFLINE | if the CM is offline
Folks.PersonaStoreError.CREATE_FAILED | if adding the contact failed